POST
Create addresses in a wallet

Authorizations

BIZ-API-KEY
string
header
required

API key. Must be included in the request header.

Biz-Api-Nonce
string
header
required

Timestamp. Must be included in the request header.

Biz-Api-Signature
string
header
required

Signature string. Must be included in the request header.

Path Parameters

wallet_id
string
required

Wallet ID.

Body

application/json
chain_id
string
required

Chain ID. Unique identifier of the blockchain. Available options

  • ETH: EVM wallet
  • TRON: TRON wallet
count
integer
default:1
required

Number of addresses to generate. Allowed range: 1 <= count <= 50.

Required range: 1 <= x <= 50
Example:

1

taproot_script_tree_hashes
string[]

List of script tree hashes used to generate Tweaked Taproot addresses. Required only when generating Tweaked Taproot addresses.

taproot_internal_address
string

Original (untweaked) Taproot address. Required only when generating Tweaked Taproot addresses.

Example:

"3JWy6ta57t9Y7y1UfVPgpmrL2wLz6yocC"

encoding
enum<string>

Address encoding format (only applicable to Bitcoin-like chains).

Available options:
ENCODING_P2PKH,
ENCODING_P2SH_P2WPKH,
ENCODING_BECH32,
ENCODING_P2PKH_UNCOMPRESSED,
ENCODING_P2SH_P2WSH_P2MS,
ENCODING_P2SH_P2SH_P2MS,
ENCODING_P2TR,
ENCODING_ADA_BYRON,
ENCODING_ADA_SHELLEY,
ENCODING_DEFAULT
Example:

"ENCODING_P2PKH"

Response

Request succeeded. Returns the generated address list and related information.

Data returned on a successful request.

data
object[]

List of generated address objects.